Package org.springframework.security.web.server.csrf

# Interface ServerCsrfTokenRequestResolver

All Known Subinterfaces:
  `ServerCsrfTokenRequestHandler`

All Known Implementing Classes:
  `ServerCsrfTokenRequestAttributeHandler`, `XorServerCsrfTokenRequestAttributeHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ServerCsrfTokenRequestResolver
Implementations of this interface are capable of resolving the token value of a `CsrfToken` from the provided `ServerWebExchange`. Used by the `CsrfWebFilter`.

Since:
  5.8
See Also:
  - `ServerCsrfTokenRequestAttributeHandler`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<String>`
`resolveCsrfTokenValue(org.springframework.web.server.ServerWebExchange exchange, CsrfToken csrfToken)`
Returns the token value resolved from the provided `ServerWebExchange` and `CsrfToken` or `Mono.empty()` if not available.

## Method Details

### resolveCsrfTokenValue

reactor.core.publisher.Mono<String> resolveCsrfTokenValue(org.springframework.web.server.ServerWebExchange exchange, CsrfToken csrfToken)
Returns the token value resolved from the provided `ServerWebExchange` and `CsrfToken` or `Mono.empty()` if not available.

Parameters:
  `exchange` - the `ServerWebExchange` with the request being processed
  `csrfToken` - the `CsrfToken` created by the `ServerCsrfTokenRepository`
Returns:
  the token value resolved from the request